@import "variables";
// Import Bulma and Buefy styles
@import "@mdi/font/css/materialdesignicons.min.css";
@import "~bulma";
@import "~buefy/src/scss/buefy";

@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('~assets/fonts/SourceSansPro-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url('~assets/fonts/SourceSansPro-Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url('~assets/fonts/SourceSansPro-Light.ttf') format('truetype');
}

html, body, #__nuxt, #__layout {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  scroll-behavior: smooth;
}
.mt-borderless {
  border: none !important;
}

.mt-container {
  max-width: $mt-container-width;
  z-index: 0;

  &, &-small {
    display: block;
    flex-grow: 1;
    margin: 0 auto;
    position: relative;
    width: 100vw;
    padding: 0 $mt-padding-container 1.75rem;
  }
  @media (max-width: 768px) {
    &-small {
      padding: 0 $mt-padding-container 1.75rem $mt-padding-container+7;
    }
  }
  &-small {
    max-width: $mt-container-small-width;
  }
  &-small.mt-container-padding-bottom-small,
  &.mt-container-padding-bottom-small {
    padding-bottom: 0.75rem;
  }
}
.mt-super-container {
  display: flex;
  position: relative;
  flex-grow: 1;
}
.mt-blue-pale {
  background-color: $pale-grey-two;
}
.mt-white {
  background-color: $white;
}

.mt-row-container {
  height: 210px;

  &.mt-row-container-small {
    height: 126px;
  }

  z-index: -1;
  @include mt-row-container;
}

.cursor-as-pointer {
  cursor: pointer;
}
.is-size-7 {
  font-size: 0.85rem !important;
}
.is-size-8 {
  font-size: 0.75rem !important;
}

.mt-list-item- {
  &none td:first-child,
  &mission td:first-child,
  &formation td:first-child,
  &soutien td:first-child,
  &divers td:first-child,
  &preparation td:first-child {
    position: relative;
    padding-left: 1em;
  }


  &none td:first-child::after,
  &mission td:first-child::after,
  &formation td:first-child::after,
  &soutien td:first-child::after,
  &divers td:first-child::after,
  &preparation td:first-child::after {
    content: '';
    width: 1px;
    border-right : 4px solid transparent;
    border-radius: 4px / 10px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
  }
  &mission td:first-child::after {
    border-right-color: $activity-type-mission;
  }
  &formation td:first-child::after {
    border-right-color: $activity-type-formation;
  }
  &preparation td:first-child::after {
    border-right-color: $activity-type-preparation;
  }
  &soutien td:first-child::after {
    border-right-color: $activity-type-soutien;
  }
  &divers td:first-child::after {
    border-right-color: $activity-type-divers;
  }
  &none td:first-child::after {
    border-right-color: $activity-type-none;
  }
}
.mt-list-item-no-table {
  &none:first-child,
  &mission:first-child,
  &formation:first-child,
  &soutien:first-child,
  &divers:first-child,
  &preparation:first-child {
    position: relative;
    padding-left: 1em;
  }


  &none:first-child::after,
  &mission:first-child::after,
  &formation:first-child::after,
  &soutien:first-child::after,
  &divers:first-child::after,
  &preparation:first-child::after {
    content: '';
    width: 1px;
    border-right : 4px solid transparent;
    border-radius: 4px / 10px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
  }
  &mission:first-child::after {
    border-right-color: $activity-type-mission;
  }
  &formation:first-child::after {
    border-right-color: $activity-type-formation;
  }
  &preparation:first-child::after {
    border-right-color: $activity-type-preparation;
  }
  &soutien:first-child::after {
    border-right-color: $activity-type-soutien;
  }
  &divers:first-child::after {
    border-right-color: $activity-type-divers;
  }
  &none:first-child::after {
    border-right-color: $activity-type-none;
  }
}


.mt-background-type- {
   &mission {
     border-color : $activity-type-mission;
     background-color: $activity-type-mission !important;
     color: $white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
   &formation {
     border-color : $activity-type-formation;
     background-color: $activity-type-formation !important;
     color: $white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
   &preparation {
     border-color : $activity-type-preparation;
     background-color: $activity-type-preparation !important;
     color: $white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
   &soutien {
     border-color : $activity-type-soutien;
     background-color: $activity-type-soutien !important;
     color: $white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
   &divers {
     border-color : $activity-type-divers;
     background-color: $activity-type-divers !important;
     color:$white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
   &none {
     border: solid 1px $activity-type-divers;
     background-color: $activity-type-none;
     color: $white !important;

     .icon:last-child:not(:first-child) {
       margin-right: 0;
     }
   }
 }
.mt-my-activities-background-type- {
  &mission {
    color: $activity-type-mission !important;
  }
  &formation {
    background-color: $white !important;
    color: $activity-type-formation !important;
  }
  &preparation {
    background-color: $white !important;
    color: $activity-type-preparation !important;
  }
  &soutien {
    background-color: $white !important;
    color: $activity-type-soutien !important;
  }
  &divers {
    background-color: $white !important;
    color: $activity-type-divers !important;
  }
  &none {
    color: $white !important;
  }
}
.datepicker .datepicker-table .datepicker-body .datepicker-cell.is-selected {
  background-color: $primary;
}
.datepicker .datepicker-table .datepicker-body .datepicker-cell.is-today {
  border: solid 1px $primary;
}
.mt-marginless-bottom {
  margin-bottom: 0 !important;
}
.button {
  color: $primary;
}
.columns:not(:last-child) {
  margin-bottom: -0.25rem;
}

  label.label {
    font-size: 0.875rem;
    color: $grey-dark;
    margin-bottom: 0.3em;
    font-weight: bold;
    text-transform: uppercase;
  }

  label.label.label-secondary {
    text-transform: none;
    font-weight: normal;
    font-size: $size-6-5;
  }

 .mt-button {
   padding: 0.85em 3em;
   height: auto;
   text-transform: uppercase;
   font-size: $size-6;
   transition-property: background-color , border-color , color , box-shadow;
   transition-duration: 0.3s;

   &.is-primary {
     box-shadow: 0 2px 3px -2px #9f9f9f, 0 0 0 4px transparent;

     &:hover {
        background-color: $periwinkle-blue;
     }

     &:active {
        background-color: #4f6ed6;

     }

     &:disabled {
       background-color: $grey-very-light;
       color: #a4a4a4;
     }

     &:focus:not(:active) {
       background-color: #4f6ed6;
       box-shadow: 0 2px 3px -2px #9f9f9f, 0 0 0 4px #c6d3ff;
     }

   }
   &.is-fixed-rounded {
     border-radius: 50%;
     position: fixed;
     bottom : 2rem;
     font-size: 1.8rem;
     right: 2rem;
     width: 2em;
     height: 2em;
     padding: 0;
   }

   &::-moz-focus-inner {
     border: 0;
   }

   &.is-secondary {
     border-color: $primary;
     box-shadow: 0 2px 3px -2px rgba(159, 159, 159, 0.5), 0 0 0 4px transparent;

     &:hover {
       background-color: #f2f5ff;
       border-color: $periwinkle-blue;
       color: $periwinkle-blue;
     }

     &:active {
       background-color: #e7ecff;
       border-color: #4f6ed6;
       color: #4f6ed6;
     }

     &:disabled {
       background-color: $white;
       border-color: #e2e2e2;
       color: #a4a4a4;
     }

     &:focus:not(:active) {
       background-color: #e7ecff;
       border-color: #4f6ed6;
       color: #4f6ed6;
       box-shadow: 0 2px 3px -2px rgba(159, 159, 159, 0.5), 0 0 0 4px #c6d3ff;
     }
   }

   &.mt-button-large {
     padding-left: 3.95rem;
     padding-right: 3.95rem;
   }

   &.mt-button-fin {
     padding: 0.4em 1.2em;
   }
 }

.mt-input {
  display: flex;
  align-items: center;

 .ti-input,
  textarea ,
  input {
    padding: 0.6em 1em;
    color: $grey-dark;
    box-shadow: none;
    border-color: $grey-light;
    transition-property: background-color , background-color , color;
    transition-duration: 0.3s;
    border-radius: $border-radius;
    height: auto;

    &:disabled {
      border-color: $grey-light;
      background-color: #f7f7f7;
    }

    &:hover:not(:disabled) {
      border-color: $periwinkle;
    }
  }

  input + span {
    & .mdi-eye-off,
    & .mdi-eye {
      color: $grey-dark;
    }
  }

  span {
    top: auto !important;
  }
  .control {
    display: flex;
    align-items: center;
  }

}
 .mt-select {
  .field {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }

  &.control {
    display: flex;
    flex-grow: 1;
    align-items: flex-start;
    justify-content: stretch;

    span.select {
      display: flex;
      height: auto;
      flex-grow: 1;
    }
  }

  select {
    padding: 0.6em 1em;
    color: $grey-dark;
    box-shadow: none;
    border-color: $grey-light;
    height: auto;
    max-height: none;
    flex-grow: 1;

    transition-property: background-color , background-color , color;
    transition-duration: 0.3s;

    &:hover:not(:disabled) {
      border-color: $periwinkle;
    }

    &:disabled {
      border-color: $grey-light;
      background-color: #f7f7f7;
    }


  }
}
option {
  font-size: 0.85em;
}
.mt-input.vue-tags-input {
  .ti-input {
    flex-grow: 1;
    border-color: $grey-light;

    &:hover:not(:disabled) {
      border-color: $periwinkle;
    }
  }
  .ti-tag.ti-invalid {
    background-color: $golden;
    color: $black;
  }
}
hr {
  margin: 1rem 0 1.25rem;
  height: 1px;
  background-color: $grey-very-light;
}

.b-checkbox.checkbox input[type="checkbox"] {
  &:disabled + .check {
    border: solid 1px $grey-light;
  }
  & + .check {
    border-radius: 3px;
    border: solid 1px $brown-grey;
    background-color: $pale-grey-three;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 0 2px transparent;
    transition-property: border-color , background-color , box-shadow;
    transition-duration: 0.3s;

    &::before {
      content: '';
      position: absolute;
      height: 0.4375rem;
      width: 0.5625rem;
      border-bottom: 0.1875rem solid transparent;
      border-left: 0.1875rem solid transparent;
      transform: rotate(-45deg) skewX(-5deg);
      transition: border-color 0.3s;
      margin-top: -1px;
    }
  }

  &:focus:checked + .check ,
  &:focus + .check {
    box-shadow: 0 0 0 2px rgba($periwinkle-light, 0.5);
  }

  &:checked + .check {
    background-image: none;

    &::before {
      border-color :  $white;
    }
  }
}
.mt-puce-disponible {
  background: $puce-disponible;
}
.mt-puce-indisponible {
  background: $puce-indisponible;
}
.mt-box-onglet {

  --margin-columns : minmax(20px, 0.155fr);

  &.mt-box-onglet-sans-marge {
    --margin-columns : 0;
  }

  &.mt-box-onglet-big-marge {
    --margin-columns : minmax(4vw, 0.12fr);

    .tab-content {
      margin-left: 4vw;
      margin-right: 4vw;
      margin-top: 1rem;
      padding: 1rem 1vw;
    }
  }

  .tabs {

    &.is-small {
      font-size: 0.875rem;
    }

    box-shadow: 0 1px 1px -1px rgba(95, 95, 95, 0.25);
    display: grid;
    justify-content: center;
    padding-top: 1rem;
    grid-template-columns: var(--margin-columns) 1fr var(--margin-columns);

    ul {
      grid-column: 2;
      display: flex;
      border-bottom-color: transparent;

      li {
        flex-grow: 1;
        display: flex;
        align-items: center;
        justify-content: center;

        a {
          color: inherit;
          padding: 0.4em;
          flex-grow: 1;
          border-bottom-color: transparent;
          transition-property: color, border-bottom-color;
          transition-duration: 0.3s;
        }

        &:hover a,
        &.is-active a {
          border-bottom-color: $primary;
          color: $primary;
        }

        &.is-active a {
          font-weight: 600;
        }
      }
    }
  }
}

.mt-border {
  &-mission {
    border-left: 0.3rem solid;
    border-radius: 0.2rem;
    color: $activity-type-mission;
  }
  &-formation {
    border-left: 0.3rem solid;
    border-radius: 0.2rem;
    color: $activity-type-formation;
  }
  &-preparation {
    border-left: 0.3rem solid;
    border-radius: 0.2rem;
    color: $activity-type-preparation;
  }
  &-soutien {
    border-left: 0.3rem solid;
    border-radius: 0.2rem;
    color: $activity-type-soutien;
  }
  &-divers {
    border-left: 0.3rem solid;
    border-radius: 0.2rem;
    color: $activity-type-divers;
  }
  &-mission .mt-surbrillance {
    background-color: rgba($activity-type-mission , 0.25);
  }
  &-formation .mt-surbrillance {
    background-color: rgba($activity-type-formation , 0.25);
  }
  &-preparation .mt-surbrillance {
    background-color: rgba($activity-type-preparation , 0.25);
  }
  &-soutien .mt-surbrillance {
    background-color: rgba($activity-type-soutien , 0.25);
  }
  &-divers .mt-surbrillance {
    background-color: rgba($activity-type-divers , 0.25);
  }
}

.mt-type {
  flex-wrap: wrap;
  margin-top: 0.3rem;

  &-mission {
    color: $activity-type-mission;
  }
  &-formation {
    color: $activity-type-formation;
  }
  &-preparation {
    color: $activity-type-preparation;
  }
  &-soutien {
    color: $activity-type-soutien;
  }
  &-divers {
    color: $activity-type-divers;
  }
  .control:not(:last-child) {
    margin-right: 0.1rem;
  }
   .button {
    border-style: none;
    font-weight: 600;
    padding-left: 1em;
    padding-right: 1em;
    border-radius: 2em !important;
    font-size: $size-6-5;
    margin: 0.2em 0.25em;
    transition-property: background-color, color;
    transition-duration: 0.3s;

    .icon {
      margin-left: 0.2em;
    }
  }
  &-mission .button {
    color: $activity-type-mission;
    background-color: findColorInvert($activity-type-mission);
    &.is-primary:hover,
    &.is-primary {
      background-color: $activity-type-mission;
      color: findColorInvert($activity-type-mission);
    }
    &:hover {
      background-color: rgba($activity-type-mission , 0.15);
    }
  }
  &-formation .button {
    color: $activity-type-formation;
    background-color: findColorInvert($activity-type-formation);
    &.is-primary:hover,
    &.is-primary {
      background-color: $activity-type-formation;
      color: findColorInvert($activity-type-formation);
    }
    &:hover {
      background-color: rgba($activity-type-formation , 0.15);
    }
  }
  &-preparation .button {
    color: $activity-type-preparation;
    background-color: $white;
    &.is-primary:hover,
    &.is-primary {
      background-color: $activity-type-preparation;
      color: $white;
    }
    &:hover {
      background-color: rgba($activity-type-preparation , 0.15);
    }
  }
  &-soutien .button {
    color: $activity-type-soutien;
    background-color: $white;
    &.is-primary:hover,
    &.is-primary {
      background-color: $activity-type-soutien;
      color: $white ;
    }
    &:hover {
      background-color: rgba($activity-type-soutien , 0.15);
    }
  }
  &-divers .button {
    color: $activity-type-divers;
    background-color: $white;
    &.is-primary:hover,
    &.is-primary {
      background-color: $activity-type-divers;
      color: $white !important;
    }
    &:hover {
      background-color: rgba($activity-type-divers , 0.15);
    }
  }
}
.mt-statut {
  background-color: $pale-grey;
  color: $soft-blue;
  text-transform: uppercase;
  border-radius: 2em;
  font-size: 0.6875rem;
  padding: 0.3em 1.5em;
  cursor: default;
  text-align: center;
}
.mt-margin-top {
  margin-top: 3rem;
  margin-bottom: 1rem;
}
.mt-auto-complete-border-less {
  input {
    border-style: none;
    box-shadow: none;
    border-radius: unset;
  }
  input:focus {
    box-shadow: 0 1px 0 0 $pale-grey;
  }
}
.action-buttons {
  .button {
    color: $primary;
  }
}

.mt-badge-alerte {
  padding: 0 0.75em;
  margin-left: 0.25em;
  color: $white;
  background-color: $soft-blue;
  border-radius: 2em;
}
.mt-swith {
  font-size: 1rem;

  input[type="checkbox"] + .check {
    width: 2.5em;
    height: 1.5em;
    padding: 0;
    font-size: 1rem;

    /*border: 1.5px solid $periwinkle-light;
    background-color: $pale-grey;*/

    border: 1.5px solid $soft-blue;
    background-color: $periwinkle-light;

    transition-property: background-color, border-color;
    transition-duration: 0.3s;
    border-radius: 2.5em;
    box-sizing: border-box;
    transform: translate3d(0, 0, 0);

    &::before {
      background-color: $white;
      box-shadow: unset;
      height: 1.25em;
      width: 1.25em;
      box-sizing: content-box;
      border-radius: 100%;
    }
  }

  input[type="checkbox"]:focus + .check,
  input[type="checkbox"]:hover + .check {
    border-color: $soft-blue;
    background-color: $periwinkle-light;
  }

  input[type="checkbox"]:checked:focus + .check,
  input[type="checkbox"]:focus + .check {
    box-shadow: 0 0 0 2px rgba($periwinkle-light, 0.5);
  }

  input[type="checkbox"]:checked:focus + .check,
  input[type="checkbox"]:checked + .check {
    border-color: $soft-blue;
    background-color: $soft-blue;

    &::before {
      transform: translate3d(calc(100% - 2.5px), 0, 0);
    }
  }

  .control-label {
    font-size: 0.875em;
    color: $soft-blue;
    transition-property: color;
    transition-duration: 0.3s;
  }

  input[type="checkbox"]:hover ~ .control-label {
    color: $soft-blue;
  }

  input[type="checkbox"]:checked ~ .control-label {
    color: $soft-blue;
  }
}
.mt-button-action-on-hover {
  visibility: hidden;
  opacity: 0;
  transition-property: opacity;
  transition-duration: 0.5s;
}
.mt-list-item:hover {
  .mt-button-action-on-hover {
    visibility: visible;
    opacity: 1;
  }
}

@media screen and (max-width: 900px) {
  .mt-button-action-on-hover {
    visibility: visible;
    opacity: 1;
  }
}
.mt-list-item-selected {
  background-color: $pale-grey;
}
.navbar {
  z-index: unset;
}
.mt-row-container:after {
  content: '';
  position: absolute;
  pointer-events: none;
  background-color: transparent;
  left: 0;
  top: -10px;
  right: 0;
  height: 10px;
  box-shadow: 0 2px 2px -1px rgba(164, 164, 164, 0.28);
  z-index: 1;
}

.mt-groupe {
  border-radius: 2em;
  background-color: $yellow-groupe;
  color: $macaroni-and-cheese;
  padding: 0.5em 1em;
  margin: 0 0.25em;
  height: auto;
  font-weight: 600;
  transition-property: background-color, color;
  transition-duration: 0.3s;

  &.mt-groupe-button {
    min-width: 10em;
    font-size: 0.75rem;
    border: unset;
  }

  &.mt-groupe-button:hover {
    color: $white;
    background-color: #ffe38d;
    box-shadow: unset;
  }
}
.is-active .mt-groupe.mt-groupe-button {
  color: $white;
  background-color: #ffe38d;
  box-shadow: unset;
}
.is-sortable .th-wrap {
  font-size: $size-7;
  color: $grey;
  font-weight: bold;
  text-transform: uppercase;
  transition-property: color;
  transition-duration: 0.3s;
}
.is-sortable .th-wrap .icon {
  display: flex !important;
  opacity: 0.25;
  transition-property: color , opacity;
  transition-duration: 0.3s;
}
.is-sortable:hover  {
  .th-wrap {
    color: $grey-dark;
  }
  .icon {
    opacity: 0.5;
  }
}
.is-sortable.is-current-sort .icon {
  opacity: 1;
}

.mt-datepicker {
  padding-top: 0;

  .input {
    color: $grey-dark;
    border: none;
    text-transform: capitalize;
    cursor: pointer;
    box-shadow: unset;
  }
}
.mt-right-bottom {
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
}
@media screen and (max-width: 768px) {
  .mt-list-item- {
    &none td:first-child,
    &mission td:first-child,
    &formation td:first-child,
    &soutien td:first-child,
    &divers td:first-child,
    &preparation td:first-child {
      position: static;
      padding-left: 0.75em;
    }
  }

  .mt-box-onglet {

    --margin-columns: 0;

    &.mt-box-onglet-big-marge {
      --margin-columns: 0;

      .tab-content {
        margin-left: 1vw;
        margin-right: 1vw;
      }
    }
  }
}

.datepicker .dropdown .input[readonly] {
  box-shadow: unset;
}
.datepicker .dropdown .input[readonly] {
  box-shadow: unset;
}
.mt-commentaires {
  display: flex;
  flex-direction: column;
}
.no-wrap {
  white-space: nowrap;
}
.input::placeholder{
  color: $brown-grey;
}
.textarea::placeholder{
  color: $brown-grey;
}
.checkbox[disabled]{
  color: $brown-grey;
}
.mt-grey{
  color: $brown-grey;
}
@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}
